Package org.codehaus.janino.util

# Class ClassFile.StackMapTableAttribute.UninitializedVariableInfo

java.lang.Object
org.codehaus.janino.util.ClassFile.StackMapTableAttribute.UninitializedVariableInfo

All Implemented Interfaces:
  `ClassFile.StackMapTableAttribute.VerificationTypeInfo`

Enclosing class:
  `ClassFile.StackMapTableAttribute`

public static class ClassFile.StackMapTableAttribute.UninitializedVariableInfo extends Object implements ClassFile.StackMapTableAttribute.VerificationTypeInfo
Representation of the `uninitialized_variable_info` structure; see JVMS8 4.7.4.

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`offset`
The code offset where the variable is declared.

## Constructor Summary

Constructors
Constructor
Description
`UninitializedVariableInfo(short offset)`

## Method Summary

Modifier and Type
Method
Description
`int`
`category()`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`void`
`store(DataOutputStream dos)`
Writes this object to an `OutputStream`, in "class file" format.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### offset

public short offset
The code offset where the variable is declared.

## Constructor Details

### UninitializedVariableInfo

public UninitializedVariableInfo(short offset)

## Method Details

### category

public int category()

Specified by:
  `category` in interface `ClassFile.StackMapTableAttribute.VerificationTypeInfo`
Returns:
  The category of the type (1 or 2) (JVMS11 2.11.1)

### store

public void store(DataOutputStream dos) throws IOException
Description copied from interface: `ClassFile.StackMapTableAttribute.VerificationTypeInfo`
Writes this object to an `OutputStream`, in "class file" format.

Specified by:
  `store` in interface `ClassFile.StackMapTableAttribute.VerificationTypeInfo`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(@Nullable Object obj)

Overrides:
  `equals` in class `Object`